from django.conf.urls import url
from django.contrib.auth import views as auth_views
from django.urls import path

from . import views

app_name = 'webmap'
urlpatterns = [
    path('editinfo/', views.editUserInfo, name='editinfo'),
    path('login/', auth_views.LoginView.as_view(template_name='webmap/login.html'), name='login'),
    ###path('login/', views.login2, name='login2'),
    ###path('activate/<uidb64>/<token>', views.activate, name='activate'),
    path('logout/', auth_views.LogoutView.as_view(), name='logout'),
    path('addpoint/', views.addpoint, name='addpoint'),
    path('deletepoint/', views.deletepoint, name='deletepoint'),
    path('changepoint/', views.changepoint, name='changepoint'),
    path('changepointfolder/', views.changepointfolder, name='changepointfolder'),
    path('converttopdf/', views.convertToPDF, name='converttopdf'),
    path('markerShow/', views.markerShow, name='markerShow'),
    path('markerAllShow/', views.markerAllShow, name='markerAllShow'),
    path('showMarkersByFolder/', views.showMarkersByFolder, name='showMarkersByFolder'),
    path('showMarkersNotInFolder/', views.showMarkersNotInFolder, name='showMarkersNotInFolder'),
    path('markerCircleShow/', views.markerCircleShow, name='markerCircleShow'),
    path('markerCirclesAllShow/', views.markerCirclesAllShow, name='markerCirclesAllShow'),
    path('disclaimerConfirm/', views.disclaimerConfirm, name='disclaimerConfirm'),
    path('endpointForDataFromWP/', views.receiveDataFromWP, name='receiveDataFromWP'),
    path('/', views.index, name='index'),
    path('', views.index),
#    url(r'^webmap/$', views.webmap, name='webmap'),
]
